using System.Windows;
using Machinations.UserComponents;

namespace Machinations.GUI
{
    /// <summary>
    /// view for inner In outs,in outs in edited components. 
    /// it could be moved with them independentlz
    /// </summary>
    public class InOutInnerView : InOutView, IObjectView<InnerInOut>
    {
     public InOutInnerView(InnerInOut input): base(input)
        {
            base.Position = m_input.Position;   //chtel bych to zavolat asi na pointobjectView
        }

        public override Point Position
        {
            get { return base.Position; }
            set
            {
                Model.Position = value;
                base.Position = value;
            }
        }

        public override int Radius { get { return 42; } }

        public override void Dispose()
        {
            base.Dispose();
            m_input.Dispose();
        }

        public InnerInOut Model { get { return (InnerInOut)m_input; } }
    }
}
